-- $Revision$
-- $Name$
-- $Date$
-- $Author$
-- $State$
-- $Locker$
-- $Source$
-- $Header$

-- Copyright (C) 2004 lyrix community

-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

-- http://www.gnu.org/licenses/gpl.html


\echo
\echo 'Clear complete database for one user...'
\echo '======================================='
\echo '(clean_complete_database_for_one_user.pgsql runnning)'
\echo
/*
CREATE OR REPLACE FUNCTION clean_complete_database_for_one_user(
   TEXT
) RETURNS INTEGER AS '
   DECLARE
      views             RECORD;
      tables            RECORD;
      str_statement     TEXT;
   BEGIN
      -- drop all tables
      FOR tables IN
         SELECT
               tablename,
               schemaname
            FROM
               pg_tables
            WHERE
               tableowner = $1
      LOOP
         str_statement := ''DROP TABLE '' || tables.schemaname || ''.'';
         str_statement := str_statement || tables.tablename || '' CASCADE'';
         RAISE INFO ''+++ Debugging with RAISE INFO -> %'', str_statement;
         EXECUTE str_statement;
      END LOOP;
      
      -- drop all views
      FOR views IN
         SELECT
               viewname,
               schemaname
            FROM
               pg_views
            WHERE
               viewowner = $1
      LOOP
         str_statement := ''DROP VIEW '' || views.schemaname || ''.'';
         str_statement := str_statement || views.viewname || '' CASCADE'';
         RAISE INFO ''+++ Debugging with RAISE INFO -> %'', str_statement;
         EXECUTE str_statement;
      END LOOP;
      
      RETURN 0;
   END;
' LANGUAGE 'plpgsql';


select clean_complete_database_for_one_user('lyrix_dba');

DROP FUNCTION clean_complete_database_for_one_user();
*/

\unset ON_ERROR_STOP

DROP SEQUENCE s_t_songs_pkey;
DROP SEQUENCE s_t_song_comments_pkey;
DROP SEQUENCE s_t_song_comments_thread_id;

DROP VIEW v_song_comments CASCADE;
DROP VIEW v_songs CASCADE;

DROP TABLE t_song_comments CASCADE;
DROP TABLE t_songs CASCADE;

COMMIT;

--\set ON_ERROR_STOP 1

\echo
\echo '(clean_complete_database_for_one_user.pgsql finished)'
\echo

-- $Log$


